
//=============================================
// 
// Mercredi 12 decembre 2001
//  
// Arash Habibi
// 
// Couleur.h
//
//============================================


#ifndef _COULEUR_H_
#define _COULEUR_H_

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

typedef struct
{
  double r, v, b; 
} couleur_t; 

void C_Check(couleur_t c, char *commentaire); 

void C_SetFL(couleur_t *c, double rouge, double vert, double bleu);
void C_SetUB(couleur_t *c, unsigned char rouge, unsigned char vert, unsigned char bleu);

couleur_t C_Addition(couleur_t c1, couleur_t c2);
couleur_t C_Homothetie(double lambda, couleur_t c); 
couleur_t C_ProduitTermeATerme(couleur_t c1, couleur_t c2) ;
couleur_t C_Truncate(couleur_t c); 

#endif
